Bug 252785

Summary: Making graphics/opencv* depend on onetbb
Product: Ports & Packages Reporter: Ganael LAPLANCHE <martymac>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Some People CC: tcberner
Priority: --- Flags: tcberner: maintainer-feedback+
martymac: maintainer-feedback? (tcberner)
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 252648, 252868, 252870    
Attachments:
Description Flags
Patch to disable TBB option
none
Patch to disable TBB martymac: maintainer-approval? (tcberner)

Description Ganael LAPLANCHE freebsd_committer 2021-01-17 18:25:57 UTC
Hello,

As a maintainer of graphics/opencv-core, could you have a look at PR #252648:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252648

In short, TBB version 2021 will soon be available as devel/onetbb but the port you maintain does not build correctly with it, see the following Poudriere run:

  http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-13_22h35m17s

and error logs:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-17_09h08m36s/logs/errors/opencv-core-3.4.1_37.log

/wrkdirs/usr/ports/graphics/opencv-core/work/opencv-3.4.1/modules/core/src/parallel.cpp:92:14: fatal error: 'tbb/tbb_stddef.h' file not found
    #include "tbb/tbb_stddef.h"
             ^~~~~~~~~~~~~~~~~~
1 warning and 1 error generated.

Could you try to provide a patch (important: *by replying to this PR*) to facilitate the migration to devel/onetbb ?

To help you modifying your port, expected patches to devel/tbb and devel/onetbb are available in PR #252648.

You will also need suitesparse patches from PR #252651 as suitesparse does not build with oneTbb.

Thanks for your contribution,
Best regards,

Ganael.
Comment 1 Ganael LAPLANCHE freebsd_committer 2021-01-17 18:45:40 UTC
Sorry, full run URL is the following:

http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-17_09h08m36s
Comment 2 Ganael LAPLANCHE freebsd_committer 2021-01-20 18:48:32 UTC
Created attachment 221773 [details]
Patch to disable TBB option

Hello Tobias,

I suggest temporarily removing TBB option while waiting for a proper fix. Would you agree with the attached patch ?
Comment 3 Tobias C. Berner freebsd_committer 2021-01-21 21:02:19 UTC
Moin moin

Sure, ship it :) -- thanks

mfg Tobias
Comment 4 commit-hook freebsd_committer 2021-01-22 11:28:06 UTC
A commit references this bug:

Author: martymac
Date: Fri Jan 22 11:27:44 UTC 2021
New revision: 562296
URL: https://svnweb.freebsd.org/changeset/ports/562296

Log:
  Opencv ports: remove TBB option to facilitate oneTbb transition

  PR:		252785
  Submitted by:	martymac
  Approved by:	tcberner (maintainer)

Changes:
  head/graphics/opencv/Makefile
  head/graphics/opencv-core/Makefile
  head/graphics/opencv-java/Makefile
  head/graphics/py-opencv/Makefile
Comment 5 Ganael LAPLANCHE freebsd_committer 2021-01-22 11:31:50 UTC
Hello Tobias,

Patch committed, thanks!

Can you check if upstream can make it oneTbb-compatible ?

Best regards,

Ganael.
Comment 6 Tobias C. Berner freebsd_committer 2021-01-30 19:21:22 UTC
Moin moin

Needs to be looked at again, now that graphics/opencv is at 4.5.1.


mfg Tobias
Comment 7 Ganael LAPLANCHE freebsd_committer 2021-01-31 12:51:13 UTC
Thanks, I'll see if version 4.5.1 can be built against onetbb. Stay tuned!
Comment 8 Ganael LAPLANCHE freebsd_committer 2021-02-03 11:34:12 UTC
Hello Tobias,

Well, it is still not compatible with onetbb:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-02-02_14h58m10s/logs/errors/opencv-4.5.1_1.log

Would you agree with the attached patch ?

If yes, do you want me to commit it now or wait for the switch ?
Comment 9 Ganael LAPLANCHE freebsd_committer 2021-02-03 11:35:23 UTC
Created attachment 222109 [details]
Patch to disable TBB
Comment 10 Ganael LAPLANCHE freebsd_committer 2021-02-11 11:16:06 UTC
Hello Tobias,

Any news ? Would you agree with the attached patch ?

Thanks in advance,

Best regards,

Ganael.
Comment 11 Ganael LAPLANCHE freebsd_committer 2021-02-19 21:15:23 UTC
Patch committed (maintainer timeout)